App\Library\Amazon\Classes\CameraPhoto\ProductTypeAType:
    properties:
        filmCamera:
            expose: true
            access_type: public_method
            serialized_name: FilmCamera
            accessor:
                getter: getFilmCamera
                setter: setFilmCamera
            type: App\Library\Amazon\Classes\FilmCamera
        camcorder:
            expose: true
            access_type: public_method
            serialized_name: Camcorder
            accessor:
                getter: getCamcorder
                setter: setCamcorder
            type: App\Library\Amazon\Classes\Camcorder
        digitalCamera:
            expose: true
            access_type: public_method
            serialized_name: DigitalCamera
            accessor:
                getter: getDigitalCamera
                setter: setDigitalCamera
            type: App\Library\Amazon\Classes\DigitalCamera
        binocular:
            expose: true
            access_type: public_method
            serialized_name: Binocular
            accessor:
                getter: getBinocular
                setter: setBinocular
            type: App\Library\Amazon\Classes\Binocular
        surveillanceSystem:
            expose: true
            access_type: public_method
            serialized_name: SurveillanceSystem
            accessor:
                getter: getSurveillanceSystem
                setter: setSurveillanceSystem
            type: App\Library\Amazon\Classes\SurveillanceSystem
        telescope:
            expose: true
            access_type: public_method
            serialized_name: Telescope
            accessor:
                getter: getTelescope
                setter: setTelescope
            type: App\Library\Amazon\Classes\Telescope
        microscope:
            expose: true
            access_type: public_method
            serialized_name: Microscope
            accessor:
                getter: getMicroscope
                setter: setMicroscope
            type: App\Library\Amazon\Classes\Microscope
        darkroom:
            expose: true
            access_type: public_method
            serialized_name: Darkroom
            accessor:
                getter: getDarkroom
                setter: setDarkroom
            type: App\Library\Amazon\Classes\Darkroom
        lens:
            expose: true
            access_type: public_method
            serialized_name: Lens
            accessor:
                getter: getLens
                setter: setLens
            type: App\Library\Amazon\Classes\Lens
        lensAccessory:
            expose: true
            access_type: public_method
            serialized_name: LensAccessory
            accessor:
                getter: getLensAccessory
                setter: setLensAccessory
            type: App\Library\Amazon\Classes\LensAccessory
        filter:
            expose: true
            access_type: public_method
            serialized_name: Filter
            accessor:
                getter: getFilter
                setter: setFilter
            type: App\Library\Amazon\Classes\Filter
        film:
            expose: true
            access_type: public_method
            serialized_name: Film
            accessor:
                getter: getFilm
                setter: setFilm
            type: App\Library\Amazon\Classes\Film
        bagCase:
            expose: true
            access_type: public_method
            serialized_name: BagCase
            accessor:
                getter: getBagCase
                setter: setBagCase
            type: App\Library\Amazon\Classes\BagCase
        blankMedia:
            expose: true
            access_type: public_method
            serialized_name: BlankMedia
            accessor:
                getter: getBlankMedia
                setter: setBlankMedia
            type: App\Library\Amazon\Classes\BlankMedia
        photoPaper:
            expose: true
            access_type: public_method
            serialized_name: PhotoPaper
            accessor:
                getter: getPhotoPaper
                setter: setPhotoPaper
            type: App\Library\Amazon\Classes\PhotoPaper
        cleaner:
            expose: true
            access_type: public_method
            serialized_name: Cleaner
            accessor:
                getter: getCleaner
                setter: setCleaner
            type: App\Library\Amazon\Classes\Cleaner
        flash:
            expose: true
            access_type: public_method
            serialized_name: Flash
            accessor:
                getter: getFlash
                setter: setFlash
            type: App\Library\Amazon\Classes\Flash
        tripodStand:
            expose: true
            access_type: public_method
            serialized_name: TripodStand
            accessor:
                getter: getTripodStand
                setter: setTripodStand
            type: App\Library\Amazon\Classes\TripodStand
        lighting:
            expose: true
            access_type: public_method
            serialized_name: Lighting
            accessor:
                getter: getLighting
                setter: setLighting
            type: App\Library\Amazon\Classes\LightingType
        projection:
            expose: true
            access_type: public_method
            serialized_name: Projection
            accessor:
                getter: getProjection
                setter: setProjection
            type: App\Library\Amazon\Classes\Projection
        photoStudio:
            expose: true
            access_type: public_method
            serialized_name: PhotoStudio
            accessor:
                getter: getPhotoStudio
                setter: setPhotoStudio
            type: App\Library\Amazon\Classes\PhotoStudio
        lightMeter:
            expose: true
            access_type: public_method
            serialized_name: LightMeter
            accessor:
                getter: getLightMeter
                setter: setLightMeter
            type: App\Library\Amazon\Classes\LightMeter
        powerSupply:
            expose: true
            access_type: public_method
            serialized_name: PowerSupply
            accessor:
                getter: getPowerSupply
                setter: setPowerSupply
            type: App\Library\Amazon\Classes\PowerSupply
        otherAccessory:
            expose: true
            access_type: public_method
            serialized_name: OtherAccessory
            accessor:
                getter: getOtherAccessory
                setter: setOtherAccessory
            type: App\Library\Amazon\Classes\OtherAccessory
